|  | Home

# QtSingleCoreApplication Class Reference

A variant of the QtSingleApplication class for non-GUI applications. More...

     #include <QtSingleCoreApplication>

Inherits QCoreApplication.

- List of all members, including inherited members

## Public Functions

| QtSingleCoreApplication ( int & argc, char ** argv )
| QtSingleCoreApplication ( const QString & appId, int & argc, char ** argv )
QString | id () const
bool | isRunning ()

- 4 public functions inherited from QCoreApplication
- 29 public functions inherited from QObject

## Public Slots

bool | sendMessage ( const QString & message, int timeout = 5000 )

- 1 public slot inherited from QCoreApplication
- 1 public slot inherited from QObject

## Signals

void | messageReceived ( const QString & message )

- 1 signal inherited from QCoreApplication
- 1 signal inherited from QObject

### Additional Inherited Members

- 4 properties inherited from QCoreApplication
- 1 property inherited from QObject
- 1 public type inherited from QObject
- 38 static public members inherited from QCoreApplication
- 4 static public members inherited from QObject
- 1 protected function inherited from QCoreApplication
- 7 protected functions inherited from QObject
- 2 protected variables inherited from QObject

## Detailed Description

A variant of the QtSingleApplication class for non-GUI applications.

This class is a variant of QtSingleApplication suited for use in console (non-GUI) applications. It is an extension of QCoreApplication (instead of QApplication). It does not require the QtGui library.

The API and usage is identical to QtSingleApplication, except that functions relating to the "activation window" are not present, for obvious reasons. Please refer to the QtSingleApplication documentation for explanation of the usage.

A QtSingleCoreApplication instance can communicate to a QtSingleApplication instance if they share the same application id. Hence, this class can be used to create a light-weight command-line tool that sends commands to a GUI application.

See also QtSingleApplication.

## Member Function Documentation

### QtSingleCoreApplication::QtSingleCoreApplication ( int & argc, char ** argv )

Creates a QtSingleCoreApplication object. The application identifier will be QCoreApplication::applicationFilePath(). argc and argv are passed on to the QCoreAppliation constructor.

### QtSingleCoreApplication::QtSingleCoreApplication ( const QString & appId, int & argc, char ** argv )

Creates a QtSingleCoreApplication object with the application identifier appId. argc and argv are passed on to the QCoreAppliation constructor.

### QString QtSingleCoreApplication::id () const

Returns the application identifier. Two processes with the same identifier will be regarded as instances of the same application.

### bool QtSingleCoreApplication::isRunning ()

Returns true if another instance of this application is running; otherwise false.

This function does not find instances of this application that are being run by a different user (on Windows: that are running in another session).

See also sendMessage().

### void QtSingleCoreApplication::messageReceived ( const QString & message ) `[signal]`

This signal is emitted when the current instance receives a message from another instance of this application.

See also sendMessage().

### bool QtSingleCoreApplication::sendMessage ( const QString & message, int timeout = 5000 ) `[slot]`

Tries to send the text message to the currently running instance. The QtSingleCoreApplication object in the running instance will emit the messageReceived() signal when it receives the message.

This function returns true if the message has been sent to, and processed by, the current instance. If there is no instance currently running, or if the running instance fails to process the message within timeout milliseconds, this function return false.

See also isRunning() and messageReceived().